## pampi 1.1%2Bdfsg1

=== debian/watch ===
version=4

opts="mode=git, gitmode=full, pgpmode=none, dversionmangle=s/\+dfsg\d*$//, repack, repacksuffix=+dfsg1, compression=gz" \
    https://gitlab.com/edleh/pampi.git \
    refs/tags/v([\d\.]+) \
    debian uupdate

## pampi 1.1+dfsg1

=== pampi/Makefile ===
SUBDIRS = libs translations

all:
	for d in $(SUBDIRS); do \
	  $(MAKE) -C $$d $@; \
	done

clean:
	rm -f *~
	for d in $(SUBDIRS); do \
	  $(MAKE) -C $$d $@; \
	done

.PHONY: all clean

=== pampi/libs/plugins/Makefile ===
UIFILES = $(shell ls *.ui)
RCFILES = $(shell ls *.rc)
PyUIFILES = $(patsubst %.ui, ui_%.py, $(UIFILES))
PyRCFILES = $(patsubst %.rc, %_rc.py, $(RCFILES))

all: $(PyUIFILES) $(PyRCFILES)
	@echo $(PyUIFILES) $(PyRCFILES) are up to date.

ui_%.py : %.ui
	pyuic5 $< -o $@
	sed -i 's/import plugin_rc/from .plugin_rc import */' $@

%_rc.py : %.rc
	pyrcc5 $< -o $@

clean:
	rm -f *~
	rm -f $(PyUIFILES) $(PyRCFILES)

.PHONY: all clean

=== debian/changelog ===
pampi (1.1+dfsg1-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on line 2.
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Remove executable bit from desktop files.
  * Remove unused license definitions for Apache-2.0, LGPL-2.
  * Update standards version to 4.6.1, no changes needed.

  [ Georges Khaznadar ]
  * ignore some more files

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 18:33:01 +0100

pampi (1.1+dfsg1-6) unstable; urgency=medium

  * added a new dependency on python3-pyqt5.qtwebengine. Closes: #1016384
  * removed copyright notices about excluded files

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Nov 2022 16:46:26 +0100

pampi (1.1+dfsg1-5) unstable; urgency=medium

  * modified debian/patches/script-nonfree.patch, now using Qt5 in order
    to locate the Documents directory. Closes : #1012339
  * bumped Standards-Version: 4.6.0

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 06 Jun 2022 14:51:29 +0200

pampi (1.1+dfsg1-4) unstable; urgency=medium

  * fixed a float division which should provide an integer, tanks to
    L. Costy's report

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 11 May 2022 09:56:03 +0200

pampi (1.1+dfsg1-3) unstable; urgency=medium

  * added the build-dependencies pyqt5-dev-tools and qttools5-dev-tools;
    Closes: #1000157.
  * patched the file Makefile2 to ease the command pylupdate5, and added a
    build-dependency on locales for the same goal

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Nov 2021 20:50:20 +0100

pampi (1.1+dfsg1-2) unstable; urgency=medium

  * new release to upload in source form

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 16 Nov 2021 17:45:21 +0100

pampi (1.1+dfsg1-1) unstable; urgency=medium

  * new upstream version
  * added a Files-Excluded section in debian/control and commented its lines
  * created debian/pampi.links to replace files removes per Files-Excluded
    list
  * added dependencies: pandoc, libjs-bootstrap(>=3.4.1+dfsg-2),
    fonts-sil-andika, fonts-opendyslexic, libjs-impress(>=1.0.0-1),
    hovercraft (>=2.7-2), libjs-c3 (>=0.4.11+dfsg-4), jsxgraph,
    fonts-katex, libjs-katex, libjs-marked, macaulay2-common
  * added a command pampi-nonfree to allow one to add a few JS and CSS files
    in user space by downloading them from upstream's repository. Those
    files are either non-free (non-commercial clause) or frozen versions
    of files distributed by Debian.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 21 Feb 2021 15:39:54 +0100

pampi (1.0-2) unstable; urgency=medium

  * included changes from the branch moretools

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 24 Jan 2021 00:37:02 +0100

pampi (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #980753)

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 21 Jan 2021 17:22:59 +0100

=== debian/control ===
Source: pampi
Section: text
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all,
 pyqt5-dev-tools,
 qttools5-dev-tools,
 locales
Standards-Version: 4.6.1
Homepage: http://pascal.peter.free.fr/pampi.html
Vcs-Browser: https://salsa.debian.org/georgesk/pampi
Vcs-Git: https://salsa.debian.org/georgesk/pampi.git
Rules-Requires-Root: no

Package: pampi
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 pandoc,
 libjs-bootstrap(>=3.4.1+dfsg-2),
 fonts-sil-andika,
 fonts-opendyslexic,
 libjs-impress(>=1.0.0-1),
 hovercraft (>=2.7-2),
 libjs-c3 (>=0.4.11+dfsg-4),
 jsxgraph,
 fonts-katex,
 libjs-katex,
 libjs-marked,
 macaulay2-common,
 python3-pyqt5.qtwebengine,
Description: Presentations with Markdown, Pandoc, Impress.
 PAMPI is a free software to create presentations easily.
 .
 presentations are written in text files,
   - so they can be modified easily
   - the files syntax (Markdown) is easily learnt
   - many examples of usable Markdown are available at
     https://enacit1.epfl.ch/markdown-pandoc
  They are converted to web pages (HTML files)
   - one can view them with a browser
   - one can publish them online, grab them on a USB stick, etc.
 In PAMPI's interface, the Markdown file is displaied in the left
 side and on can view the result in the right side.
 .
 Every step of a presentation can be located in any position in a 3D
 space
   - one provides its coordinates
   - one can specify its zoom factor
   - one can specify rotations
 Maths can be authored with KaTeX.
 .
 Here are many examples: https://en.wikibooks.org/wiki/LaTeX/Mathematics.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --with python3

override_dh_clean:
	find . -type d -name __pycache__ | xargs rm -rf
	find . -name *.qm | xargs rm -f
	rm -f pampi/libs/icons
	dh_clean
	make -C pampi clean
	if [ -f script-nonfree/Makefile ]; then \
	  make -C script-nonfree clean; \
	else \
	  rm -rf script-nonfree; \
	fi

override_dh_auto_build:
	dh_auto_build
	make -C pampi
	make -C script-nonfree

override_dh_auto_configure:
	dh_auto_configure
	ln -s ../images/png pampi/libs/icons

override_dh_install:
	dh_install
	install -d debian/pampi/usr/bin
	echo "#! /bin/sh" > debian/pampi/usr/bin/pampi
	echo "/usr/share/pampi/pampi.pyw" >> debian/pampi/usr/bin/pampi
	chmod +x debian/pampi/usr/bin/pampi
	chmod +x debian/pampi/usr/bin/pampi-nonfree

override_dh_fixperms:
	dh_fixperms
	find debian/pampi/usr/share/pampi -name "*.py" | xargs chmod -x
	chmod +x debian/pampi/usr/share/pampi/pampi.pyw
	# clean VCS hidden files
	find debian/pampi -name .gitignore | xargs rm
	# clean unused files
	rm debian/pampi/usr/share/pampi/files/PAMPI.desktop\
	  debian/pampi/usr/share/pampi/pampi-python2.pyw

## pampi 1.3+dfsg1

=== pampi/libs/Makefile ===
UIFILES = $(shell ls *.ui)
RCFILES = $(shell ls *.rc)
PyUIFILES = $(patsubst %.ui, ui_%.py, $(UIFILES))
PyRCFILES = $(patsubst %.rc, rc_%.py, $(RCFILES))

all: $(PyUIFILES) $(PyRCFILES)
	@echo $(PyUIFILES) $(PyRCFILES) are up to date.
	$(MAKE) -C plugins $@

ui_%.py : %.ui
	pyuic5 $< -o $@

rc_%.py : %.rc
	pyrcc5 $< -o $@

clean:
	rm -f *~
	rm -f $(PyUIFILES) $(PyRCFILES)
	$(MAKE) -C plugins $@

.PHONY: all clean

=== pampi/translations/Makefile ===
all:
	python3 make_pampi.pro.py pampi.pro.in
	$(MAKE) -f Makefile2

clean:
	rm -f *.qm pampi.pro *~

.PHONY: all clean

=== debian/changelog ===
pampi (1.3+dfsg1-2) unstable; urgency=medium

  * replaced bootstrap{3,4} by bootstrap5. Closes: #1088481
  * bumped Standards-Version: 4.7.0

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 03 Dec 2024 18:37:54 +0100

pampi (1.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.3+dfsg1
  * removed debian patches, as they were applied upstream

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 31 Oct 2024 19:28:44 +0100

pampi (1.1+dfsg1-10) unstable; urgency=medium

  * fixed SyntaxWarnings due to wrong escape codes. Closes: #1085766

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 22 Oct 2024 16:31:53 +0200

pampi (1.1+dfsg1-9) unstable; urgency=medium

  * patched TS files. Closes: #1048856
  * bumped Standards-Version: 4.6.2

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Jan 2024 11:03:51 +0100

pampi (1.1+dfsg1-8) unstable; urgency=medium

  * updated some links in debian/pampi.links; Closes: #1040599

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 11 Jul 2023 16:06:20 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  pyqt5-dev-tools,
  qttools5-dev-tools,
  locales
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: http://pascal.peter.free.fr/pampi.html
 Vcs-Browser: https://salsa.debian.org/georgesk/pampi
 Vcs-Git: https://salsa.debian.org/georgesk/pampi.git
@@ -19,7 +19,7 @@
 Depends: ${misc:Depends},
  ${python3:Depends},
  pandoc,
- libjs-bootstrap(>=3.4.1+dfsg-2),
+ libjs-bootstrap5,
  fonts-sil-andika,
  fonts-opendyslexic,
  libjs-impress(>=1.0.0-1),

=== debian/rules ===
--- 
+++ 
@@ -53,5 +53,4 @@
 	# clean VCS hidden files
 	find debian/pampi -name .gitignore | xargs rm
 	# clean unused files
-	rm debian/pampi/usr/share/pampi/files/PAMPI.desktop\
-	  debian/pampi/usr/share/pampi/pampi-python2.pyw
+	rm -f debian/pampi/usr/share/pampi/files/PAMPI.desktop
